summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorPlague Doctor2019-09-21 08:50:12 +1000
committerPlague Doctor2019-09-21 08:50:12 +1000
commite1635039c7075fcbfa3439cd7a6057f37ae63d86 (patch)
treedc505cb35ecc2b5c555974533c901ca84512830c
parent1d75cd60cebd404fd365909c7b9e3e4112dcd45d (diff)
downloadaur-moneydance.tar.gz
Fix Java environment issue.
-rw-r--r--.SRCINFO6
-rw-r--r--PKGBUILD4
-rwxr-xr-xmoneydance.sh11
3 files changed, 14 insertions, 7 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 35ba284ca05..407d8cb4286 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = moneydance
pkgdesc = A personal finance manager for Mac, Windows and Linux
pkgver = 2019.1880
- pkgrel = 1
+ pkgrel = 2
url = https://www.moneydance.com/
arch = i686
arch = x86_64
@@ -11,9 +11,9 @@ pkgbase = moneydance
depends = bash
source = moneydance.sh
source = moneydance.desktop
- sha256sums = 48304a6859a97210abf103d899e5eadc113ee1642a3bde78a92ece77a9694125
+ sha256sums = 9a42c643b8a345d56a5367dfdda31bba6aad89d8a1f17d82b81fcfe2e2e13a5b
sha256sums = 242dc66a95c4842099e41092bd87ccaf97c314bed1f9865f5c6a72f135f7de21
- source_x86_64 = moneydance_amd64-2019.1880-1.tar.gz::https://infinitekind.com/stabledl/current/Moneydance_linux_amd64.tar.gz
+ source_x86_64 = moneydance_amd64-2019.1880-2.tar.gz::https://infinitekind.com/stabledl/current/Moneydance_linux_amd64.tar.gz
sha256sums_x86_64 = 9670ef2977c3cbff41666bd6a6c83ef8e81343ab1b2d009d4e07dd99acb30d25
pkgname = moneydance
diff --git a/PKGBUILD b/PKGBUILD
index 6905b4183cd..b1e1fc832c0 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
pkgname=moneydance
pkgver=2019.1880
-pkgrel=1
+pkgrel=2
epoch=
pkgdesc="A personal finance manager for Mac, Windows and Linux"
arch=('i686' 'x86_64')
@@ -48,6 +48,6 @@ package() {
install -m644 lib/com/moneydance/apps/md/view/gui/glyphs/appicon_128.png "$pkgdir/usr/share/pixmaps/$pkgname.png" || return 1
install -m644 lib/*.jar "$pkgdir/usr/share/java/$pkgname" || return 1
}
-sha256sums=('48304a6859a97210abf103d899e5eadc113ee1642a3bde78a92ece77a9694125'
+sha256sums=('9a42c643b8a345d56a5367dfdda31bba6aad89d8a1f17d82b81fcfe2e2e13a5b'
'242dc66a95c4842099e41092bd87ccaf97c314bed1f9865f5c6a72f135f7de21')
sha256sums_x86_64=('9670ef2977c3cbff41666bd6a6c83ef8e81343ab1b2d009d4e07dd99acb30d25')
diff --git a/moneydance.sh b/moneydance.sh
index 07303f645d1..efd8737957a 100755
--- a/moneydance.sh
+++ b/moneydance.sh
@@ -1,8 +1,15 @@
#!/bin/sh
-export PATH=/usr/lib/jvm/java-11-openjdk/bin/:$PATH
+if [ -L /usr/lib/jvm/default ]; then
+ export PATH=/usr/lib/jvm/default/bin/:$PATH
+else
+ printf "[ ERROR ] No default Java environment available.\n"
+ archlinux-java status
+ printf "\nFix your Java environment by running:\n sudo archlinux-java set <JAVA_ENV>"
+ exit 1
+fi
export _JAVA_OPTIONS='-Dawt.useSystemAAFontSettings=gasp -Dawt.useSystemAAFontSettings=on'
for name in /usr/share/java/moneydance/*.jar; do
CP=$CP:$name
done
#/usr/lib/jvm/java-11-openjdk/bin/java -cp $CP Moneydance
-java -cp $CP Moneydance
+java -cp "$CP" Moneydance